.prodplan_container {
  width: 100%;
  height: inherit;
  display: flex;
  position: relative;
  overflow: hidden;
}

.prodplan_board {
  display: flex;
  width: 100%;
  height: calc(100% - 50px);
  position: absolute;
  top: 50px;
  left: 0;
  border-right: 1px solid #c4c4c4;
  background: #fff;
  transition: .3s;
  overflow: auto;
}

.prodplan_info {
  display: flex;
  flex-direction: column;
  width: 350px;
  height: inherit;
  position: absolute;
  top: 0;
  right: 0;
  transform: translateX(350px);
  background: #fff;
  transition: .3s;
  overflow: auto;
}

.prodplan_container.open .prodplan_board {
  width: calc(100% - 350px);
}

.prodplan_container.open .prodplan_info {
  transform: translateX(0px);
}

td.td_group {
  background: #362575;
  color:  #fff;
  font-weight: bold;
}

.prodplan_board table {
  font-size: 14px;
}

.prodplan_board table>thead>tr {
  border-bottom: 1px solid #fff;
}

.prodplan_board table>thead>tr>th {
  vertical-align: top;
  text-transform: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  color: #fff;
  overflow: hidden;
  font-weight: bold;
  background: #1E87F0;
  border-right: 1px solid #fff;
  text-align: center;
  vertical-align: middle;
}

.prodplan_board table>tbody>tr {
  cursor: pointer;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.prodplan_board table>tbody>tr>td {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  border: 1px solid #c4c4c4;
}

.prodplan_board table th,
.prodplan_board table td {
  padding: 5px;
}

td.td_block_data.select,
td.td_block_data:hover {
  outline: 2px solid #1e87f0;
}

.prodplan_info_data {
  width: 100%;
  height: calc(100% - 40px);
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 15px 0;
  overflow: auto;
}

.prodplan_info span.uk-icon {
  cursor: pointer;
  width: 40px;
  height: 40px;
  transition: .3s;
}

.prodplan_info span.uk-icon:hover {
  transform: rotate(90deg);
  color: red;
}

.prodplan_app_container {
  margin: 0 10px;
  padding: 5px 5px 5px 15px;
  display: flex;
  flex-direction: column;
  border: 1px solid #999;
  border-radius: 3px;
  font-size: 14px;
  transition: 0.3s;
  user-select: none;
  cursor: pointer;
  color: #666;
  position: relative;
}

.prodplan_app_container:hover {
  border-color: #1E87F0;
}

.prodplan_app_status {
  position: absolute;
  left: 0;
  top: 0;
  width: 10px;
  height: 100%;
  border-radius: 3px 0 0 3px;
}

.prodplan_app_title {
  font-size: 16px;
  font-weight: bold;
  color: #333;
}

.prodplan_nav {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 50px;
  overflow: hidden;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 20px;
  transition: .3s;
}

.prodplan_container.open .prodplan_nav {
  width: calc(100% - 350px);
  border-right: 1px solid #c4c4c4;
}

.prodplan_panel_buttons {
  gap: 10px;
  display: flex;
}

.prodplan_panel_buttons .uk-button {
  min-width: 130px;
}

.prodplan_panel_buttons .uk-button:first-child {
  border-radius: 6px 0 0 6px;
}

.prodplan_panel_buttons .uk-button:last-child {
  border-radius: 0 6px 6px 0;
}

.prodplan_panel_buttons .uk-button.select {
  background-color: #f8f8f8;
}

input#search_input {
  border-radius: 3px;
}

@media screen and (max-width:1240px) {
  .prodplan_panel_buttons {
    gap: 0px;
  }

  .prodplan_panel_buttons .uk-button {
    min-width: 0px;
    padding: 0 10px;
  }

  .prodplan_panel_buttons .uk-button-group {
    margin: 0 10px !important;
  }

}
